# Uses of Class
org.apache.sling.models.factory.ExportException

Packages that use ExportException
Package
Description
org.apache.sling.models.export.spi
org.apache.sling.models.factory

## Uses of ExportException in org.apache.sling.models.export.spi

Methods in org.apache.sling.models.export.spi that throw ExportException
Modifier and Type
Method
Description
`<T> T`
ModelExporter.`export(@NotNull Object model, @NotNull Class<T> clazz, @NotNull Map<String,String> options)`
Export the provided model to the defined class using the options.

## Uses of ExportException in org.apache.sling.models.factory

Methods in org.apache.sling.models.factory that throw ExportException
Modifier and Type
Method
Description
`<T> T`
ModelFactory.`exportModel(@NotNull Object model, @NotNull String exporterName, @NotNull Class<T> targetClass, @NotNull Map<String,String> options)`
Export the model object using the defined target class using the named exporter.
`<T> T`
ModelFactory.`exportModelForRequest(@NotNull org.apache.sling.api.SlingJakartaHttpServletRequest request, @NotNull String exporterName, @NotNull Class<T> targetClass, @NotNull Map<String,String> options)`
Export the model object registered to the request's resource's type using the defined target class using the named exporter.
`<T> T`
ModelFactory.`exportModelForRequest(org.apache.sling.api.SlingHttpServletRequest request, @NotNull String exporterName, @NotNull Class<T> targetClass, @NotNull Map<String,String> options)`
Deprecated.
use `ModelFactory.exportModelForRequest(SlingJakartaHttpServletRequest, String, Class, Map)` instead
`<T> T`
ModelFactory.`exportModelForResource(@NotNull org.apache.sling.api.resource.Resource resource, @NotNull String exporterName, @NotNull Class<T> targetClass, @NotNull Map<String,String> options)`
Export the model object registered to the resource's type using the defined target class using the named exporter.